明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1463|回复: 2

一个批量生成直线的问题

[复制链接]
发表于 2012-2-9 22:28:17 | 显示全部楼层 |阅读模式
代码如下:
Dim Line(2) As AcadLine
For i = 0 to 2
   point_temp1(0) = Zheng_GK(i): point_temp1(1) = 0: point_temp1(2) = 0
   point_temp2(0) = 0 : point_temp2(1) = Ce_GK(i): point_temp2(2) = 0
   Set line(i) = ThisDrawing.ModelSpace.AddLine(point_temp1, point_temp2)
   line(i).TrueColor = color
   line(i).TransformBy transmatrix(i)
   line(i).Update
Next i
我想根据Zheng_GK(i) 和Ce_GK(i)数组中的不同值绘制不同直线,并改变直线的属性,但是发现VBA中不允许定义AcadLine对象为数组,不知有什么更好的方法,不需要一条一条的画直线。谢谢!!!
发表于 2012-2-10 11:51:26 | 显示全部楼层
  1. Dim Line As AcadLine
  2. For i = 0 to 2
  3.     point_temp1(0) = Zheng_GK(i): point_temp1(1) = 0: point_temp1(2) = 0
  4.     point_temp2(0) = 0 : point_temp2(1) = Ce_GK(i): point_temp2(2) = 0
  5.     Set line = ThisDrawing.ModelSpace.AddLine(point_temp1, point_temp2)
  6.     line.TrueColor = color
  7.     line.TransformBy transmatrix(i)
  8.     line.Update
  9. Next i
这样貌似就可以了吧
发表于 2012-2-10 20:40:57 | 显示全部楼层
能把变量定义一下吗,大哥,比如Zheng_GK(i)
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-25 17:43 , Processed in 0.173088 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表